#
# spec file for package perl-Getopt-Mixed
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Getopt-Mixed
Version:        1.12
Release:        36.1
%define cpan_name Getopt-Mixed
Summary:        [OBSOLETE] getopt processing with both long and short options
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Getopt-Mixed/
Source:         http://www.cpan.org/authors/id/C/CJ/CJM/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
*This module is obsolete.*

This package was my response to the standard modules Getopt::Std and
Getopt::Long. Std doesn't support long options, and Long didn't support
short options. I wanted both, since long options are easier to remember and
short options are faster to type.

However, years ago Getopt::Long was changed to support short options as
well, and it has the huge advantage of being part of the standard Perl
distribution. So, Getopt::Mixed is now effectively obsolete. I don't intend
to make any more changes, but I'm leaving it available for people who have
code that already uses it. For new modules, I recommend using Getopt::Long
like this:

    use Getopt::Long 2.17; # Released with Perl 5.005
    Getopt::Long::Configure(qw(bundling no_getopt_compat));
    GetOptions(...option-descriptions...);

This package was intended to be the "Getopt-to-end-all-Getop's". It
combines (I hope) flexibility and simplicity. It supports both short
options (introduced by '-') and long options (introduced by '--'). Short
options which do not take an argument can be grouped together. Short
options which do take an argument must be the last option in their group,
because everything following the option will be considered to be its
argument.

There are two methods for using Getopt::Mixed: the simple method and the
flexible method. Both methods use the same format for option descriptions.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.12
  - No functional changes
  - Minor documentation & metadata improvements
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.11
  - No functional changes
  - Minor documentation improvements
  - Now built with Dist::Zilla (includes v2 META.json)
  - Repository now publicly available on GitHub
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 21 2009 pth@suse.de
- Update to 1.10:
  - Use strict
  - Added pod.t & pod-coverage.t
  - Moved example scripts to examples/ and make them use strict
* Mon Mar 12 2007 pth@suse.de
- Update to 1.09:
  - Fix for running with taint checks turned on
  - Getopt::Mixed is now obsolete
  - now released under Perl's license terms
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 pthomas@suse.de
- Use vendor* instead of site* for installation.
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon Nov 25 2002 pthomas@suse.de
- Initial package (1.008).
